## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate ring

# compile and run tests only on supported architectures
# https://bugzilla.redhat.com/show_bug.cgi?id=1869980
%global supported_arches x86_64 %{ix86} aarch64 %{arm}

Name:           rust-ring
Version:        0.16.20
Release:        %autorelease
Summary:        Safe, fast, small crypto using Rust

# https://github.com/briansmith/ring/issues/902
License:        ISC AND OpenSSL AND MIT
URL:            https://crates.io/crates/ring
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          ring-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop profiles that set compiler flags that are incompatible with packaging
# * set package.license in metadata to match package license
Patch:          ring-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Safe, fast, small crypto using Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/third_party/fiat/LICENSE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dev_urandom_fallback-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dev_urandom_fallback-devel %{_description}

This package contains library source intended for building other packages which
use the "dev_urandom_fallback" feature of the "%{crate}" crate.

%files       -n %{name}+dev_urandom_fallback-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+internal_benches-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+internal_benches-devel %{_description}

This package contains library source intended for building other packages which
use the "internal_benches" feature of the "%{crate}" crate.

%files       -n %{name}+internal_benches-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+once_cell-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+once_cell-devel %{_description}

This package contains library source intended for building other packages which
use the "once_cell" feature of the "%{crate}" crate.

%files       -n %{name}+once_cell-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+slow_tests-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+slow_tests-devel %{_description}

This package contains library source intended for building other packages which
use the "slow_tests" feature of the "%{crate}" crate.

%files       -n %{name}+slow_tests-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+test_logging-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+test_logging-devel %{_description}

This package contains library source intended for building other packages which
use the "test_logging" feature of the "%{crate}" crate.

%files       -n %{name}+test_logging-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+wasm32_c-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wasm32_c-devel %{_description}

This package contains library source intended for building other packages which
use the "wasm32_c" feature of the "%{crate}" crate.

%files       -n %{name}+wasm32_c-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%ifarch %{supported_arches}
%cargo_build
%endif

%install
%cargo_install

%if %{with check}
%ifarch %{supported_arches}
%check
# * files needed for integration tests are not included in published crates
%cargo_test -- --lib
%cargo_test -- --doc
%endif
%endif

%changelog
* Sat Apr 01 2023 Fabio Valentini <decathorpe@gmail.com> - 0.16.20-7
- Remove ExcludeArch but only compile on supported architectures

* Sat Mar 18 2023 Fabio Valentini <decathorpe@gmail.com> - 0.16.20-6
- Regenerate with rust2rpm v24 and fix package.license in metadata

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.20-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.20-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jan 06 2022 Fabio Valentini <decathorpe@gmail.com> - 0.16.20-2
- Skip doctests on i686 to work around LLVM codegen issues

* Thu Jan 06 2022 Fabio Valentini <decathorpe@gmail.com> - 0.16.20-1
- Update to version 0.16.20; Fixes RHBZ#2033456

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 03 15:05:55 CET 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.16.19-1
- Update to 0.16.19

* Thu Jul 30 2020 Peter Robinson <pbrobinson@fedorapeople.org> - 0.16.15-1
- Initial package

